import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const SearchFields: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        action: PropTypes.Validator<string>;
        name: PropTypes.Validator<string>;
        id: PropTypes.Validator<string>;
        value: PropTypes.Requireable<string>;
        type: PropTypes.Requireable<string>;
        placeholder: PropTypes.Requireable<string>;
        required: PropTypes.Requireable<boolean>;
        disabled: PropTypes.Requireable<boolean>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        value: undefined;
        type: string;
        placeholder: string;
        required: boolean;
        disabled: boolean;
        onClick: undefined;
        onChange: undefined;
    };
};
export default SearchFields;
